/*  Vexed v2.0 Beta - Vexed.h - "Program defines"
    Copyright (C) 1999 James McCombe (cybertube@earthling.net)
    
    August 17, 2001 - Version 2.0 changes by Mark Ingebretson
    (ingebret@yahoo.com) and others.
    
    This file is part of Vexed.

    Vexed is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Vexed is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Vexed; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

//..................................................... Debugging
//#define ERROR_CHECK_LEVEL ERROR_CHECK_FULL

//..................................................... Program
#define IconID                         1001
#define VersionID                      1002
#define ApplicationID                  1003

//..................................................... String
#define StringInfo                     1100
#define StringPrefsInfo                1101
#define StringSelectLevelInfo          1102
#define StringCredits                  1103

//..................................................... Alert
#define AlertNoSolvedLevels            1200
#define AlertNoLevel                   1201
#define AlertResetYesNo                1202
#define AlertNewLevelsYesNo            1203
#define AlertAdjustYesNo               1204
#define AlertSecondLevel               1205
#define AlertNoReplayCurrent           1206
#define AlertNoReplayPrevious          1207
#define AlertNoPreviousLevel           1208
#define AlertDebug1                    1209
#define AlertDebug2                    1210
#define AlertLoadFailed                1211
#define AlertDeleteLevelPack				1212
#define AlertCannotDeleteCurrent			1213
#define AlertNoSolution						1214
#define AlertShowSolution					1215
#define AlertOldPrefsFound             1216
#define AlertLevelNotSolved            1217

//..................................................... Menu
#define Menu1038                       1300
#define ItemPreferences                1301
#define ItemHowToPlay                  1302
#define ItemAbout                      1303
#define ItemClear                      1304
#define ItemAdjust                     1305
#define ItemSkip                       1306
#define ItemInfo                       1307
#define ItemReplayCurrent              1308
#define ItemReplayPrevious             1309
#define ItemLevelPacks                 1310
#define ItemSolution                   1311
#define ItemBeamVexed						1312

//..................................................... Bitmap
// Be careful rearranging these, there are code dependencies on the order
#define firstBitmap                    1401
#define BitmapWall                     1401
#define BitmapVexed                    1402
#define BitmapFirstM                   1403
#define BitmapBackM                    1404
#define BitmapSelectLevelM             1405
#define BitmapForwardM                 1406
#define BitmapLastM                    1407
#define BitmapUndoM                    1408
#define BitmapRecallM                  1409
#define BitmapMemoryM                  1410
#define BitmapRestartM                 1411
#define BitmapIntroOffset              11
#define BitmapIntroV                   1412
#define BitmapIntroE                   1413
#define BitmapIntroX                   1414
#define BitmapIntroE2                  1415
#define BitmapIntroD                   1416
#define BitmapIntroT                   1417
#define BitmapIntroO                   1418
#define BitmapIntroW                   1419
#define BitmapColorMono                19
#define BitmapFirst                    1420
#define BitmapBack                     1421 
#define BitmapSelectLevel              1422
#define BitmapForward                  1423
#define BitmapLast                     1424
#define BitmapUndo	                  1425
#define BitmapRecall                   1426
#define BitmapMemory                   1427
#define BitmapRestart                  1428
#define BitmapCount                    28
#define BitmapBS_Extras                1431
#define BitmapBS1_1                    1441
#define BitmapBS1_2                    1442
#define BitmapBS1_3                    1443
#define BitmapBS1_4                    1444
#define BitmapBS1_5                    1445
#define BitmapBS1_6                    1446
#define BitmapBS1_7                    1447
#define BitmapBS1_8                    1448
#define BitmapBS2_1                    1451
#define BitmapBS2_2                    1452
#define BitmapBS2_3                    1453
#define BitmapBS2_4                    1454
#define BitmapBS2_5                    1455
#define BitmapBS2_6                    1456
#define BitmapBS2_7                    1457
#define BitmapBS2_8                    1458
#define BitmapBS3_1                    1461
#define BitmapBS3_2                    1462
#define BitmapBS3_3                    1463
#define BitmapBS3_4                    1464
#define BitmapBS3_5                    1465
#define BitmapBS3_6                    1466
#define BitmapBS3_7                    1467
#define BitmapBS3_8                    1468
#define BitmapBS4_1                    1471
#define BitmapBS4_2                    1472
#define BitmapBS4_3                    1473
#define BitmapBS4_4                    1474
#define BitmapBS4_5                    1475
#define BitmapBS4_6                    1476
#define BitmapBS4_7                    1477
#define BitmapBS4_8                    1478
#define BitmapBS5_1                    1481
#define BitmapBS5_2                    1482
#define BitmapBS5_3                    1483
#define BitmapBS5_4                    1484
#define BitmapBS5_5                    1485
#define BitmapBS5_6                    1486
#define BitmapBS5_7                    1487
#define BitmapBS5_8                    1488
#define BitmapBS6_1                    1491
#define BitmapBS6_2                    1492
#define BitmapBS6_3                    1493
#define BitmapBS6_4                    1494
#define BitmapBS6_5                    1495
#define BitmapBS6_6                    1496
#define BitmapBS6_7                    1497
#define BitmapBS6_8                    1498

//..................................................... Form
#define FormMain                       1500
#define FormIntro                      1501
#define FormAbout                      1502
#define FormPrefs                      1503
#define FormSelectLevel                1504
#define FormGetLevel                   1505
#define FormInfo                       1506
#define FormIntroNew                   1507
#define FormLevelPack                  1508
#define FormSolution                   1509

//..................................................... Controls
#define ButtonOK                       1600
#define CheckBoxPieceAnim              1601
#define CheckBoxGravityAnim            1602
#define CheckBoxEliminationAnim        1603
#define CheckBoxBlockCheck             1604
#define CheckBoxColorIcons             1605
#define ButtonOK2                      1606
#define ButtonCancel                   1607
#define CheckBoxSound                  1608
#define DisplayGotoLevel               1609
#define DisplaySolved                  1610
#define ButtonSelectLevelOK            1611
#define ButtonSelectLevelCancel        1612
#define ButtonRepeatUp	               1613
#define ButtonRepeatDown               1614
#define InfoButtonOK	                  1615
#define CheckBoxBlindsEffect           1616
#define CheckBoxSkipIntro              1617
#define ButtonOK3                      1618
#define ButtonCredits                  1619
#define ButtonDelete                   1620
#define ListLevelPacks                 1621
#define FieldDescription               1622
#define FieldName                      1623
#define FieldURL                       1624
#define ButtonBeam							1625
#define PopupBlockSet                  1626
#define PopupBlockSetList              1627
#define ButtonLeft                     1628
#define ButtonRight                    1629
#define ButtonDone                     1630
#define FieldLevelPackName             1631
#define ListSelectLevel                1632

//..................................................... Labels
#define Label1008                      1700                   
#define Label1009                      1701 
#define Label1011                      1702 
#define Label1073                      1703 
#define Label1074                      1704 
#define Label1061                      1705 
#define Label1098                      1706 
#define Label1041                      1707 
#define Label1030                      1708 
#define LabelSolvedLevels              1709
#define LabelGetSolvedLevels           1710
#define LabelBlock1Count	            1711
#define LabelBlock2Count	            1712
#define LabelBlock3Count	            1713
#define LabelBlock4Count	            1714
#define LabelBlock5Count	            1715
#define LabelBlock6Count	            1716
#define LabelBlock7Count	            1717
#define LabelBlock8Count	            1718

//..................................................... Misc
#define MakeMoveEvent                  0x6000


